<script setup>
defineProps({
	type: {
		type: String,
		default: "button",
	},
	loading: {
		type: Boolean,
		default: false,
	},
	small: {
		type: Boolean,
		default: false,
	},
	outline: {
		type: Boolean,
		default: false,
	},
	danger: {
		type: Boolean,
		default: false,
	},
	success: {
		type: Boolean,
		default: false,
	},
});
</script>

<template>
	<button
		class="btn no-select"
		:class="{ small, outline, danger, success }"
		:type="type"
		@click="$emit('onClick')"
		:disabled="loading"
	>
		<div v-if="loading">loading...</div>
		<slot v-else></slot>
	</button>
</template>


<style scoped>
</style>